Subject: Re: bug#28736: 24.5; doc of `push'

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Sep 2021 08:41:01 -0700

tags 28736 wontfix notabug
close 28736
thanks

Eli Zaretskii <[email-masked]> writes:

>> Date: Sun, 8 Oct 2017 10:48:32 -0700 (PDT)
>> From: Drew Adams <[email-masked]>
>> Cc: [email-masked]
>>
>> > > The right question is why is it a problem to document this?
>> >
>> > <Shrug> Because we don't want to guarantee the return value won't
>> > change in the future?
>>
>> Are you sure?
>
> No.

The question here is if the return value of `push' should be documented.

I took a look at Common Lisp, and they do not document its return
value.[1]  I think it's fine for us to also not document it, unless someone
can show a clear reason why it should be.

I'm therefore closing this bug report.

Footnotes:
[1]  http://clhs.lisp.se/Body/m_push.htm